import { ButtonElement } from "../InteractiveElements/index";
import { CometChat } from "@cometchat/chat-sdk-react-native";
interface TimeRange {
    from: string;
    to: string;
}
interface Availability {
    [key: string]: TimeRange[];
}
interface InteractiveData {
    title?: string;
    avatarUrl?: string;
    goalCompletionText?: string;
    timezoneCode: string;
    bufferTime?: number;
    duration?: number;
    availability: Availability;
    dateRangeStart?: number;
    dateRangeEnd?: number;
    icsFileUrl?: string;
    scheduleElement: ButtonElement;
}
export declare class SchedulerMessage extends CometChat.InteractiveMessage {
    private interactiveData;
    private title?;
    private avatarUrl?;
    private goalCompletionText?;
    private timezoneCode;
    private bufferTime?;
    private duration?;
    private availability;
    private dateRangeStart?;
    private dateRangeEnd?;
    private icsFileUrl?;
    private scheduleElement;
    constructor(receiverId: string, receiverType: string, interactiveData: InteractiveData);
    setInteractiveData(interactiveData: InteractiveData): void;
    setTitle(title: string): void;
    setAvatarUrl(avatarUrl: string): void;
    setGoalCompletionText(goalCompletionText: string): void;
    setTimezoneCode(timezoneCode: string): void;
    setDuration(duration: number): void;
    setBufferTime(bufferTime: number): void;
    setAvailability(availability: Availability): void;
    setDateRangeStart(dateRangeStart: number): void;
    setDateRangeEnd(dateRangeEnd: number): void;
    setIcsFileUrl(icsFileUrl: string): void;
    setScheduleElement(scheduleElement: ButtonElement): void;
    getInteractiveData(): InteractiveData;
    getTitle(): string;
    getAvatarUrl(): string;
    getGoalCompletionText(): string;
    getTimezoneCode(): string;
    getDuration(): number;
    getBufferTime(): number;
    getAvailability(): Availability;
    getDateRangeStart(): number;
    getDateRangeEnd(): number;
    getIcsFileUrl(): string;
    getScheduleElement(): ButtonElement;
    static fromJSON(json: any): SchedulerMessage;
}
export {};
